Recipients

Search Directory

Search for recipients in the Peppol Directory

POST
/api/v1/search-peppol-directory
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Request Body

application/json

query*string

The search query to find recipients.

Response Body

application/json

application/json

curl -X POST "https://app.recommand.eu/api/v1/search-peppol-directory" \  -H "Content-Type: application/json" \  -d '{    "query": "Company Name"  }'
{
  "success": true,
  "results": [
    {
      "peppolAddress": "string",
      "name": "string",
      "supportedDocumentTypes": [
        "string"
      ]
    }
  ]
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}